/* Copyright (C) 2005-2006  Emiliano Betti and Marco Cesati
   Copyright (C) 2003-2004  Marco Cesati
   Copyright (C) 2002-2003  Shell Technologies s.r.l.

   Authors:
            Emiliano Betti <emilianobetti@gmail.com>
            Marco Cesati   <marcocesati@gmail.com>

   Driver for the Galil 1800 PCI motion controllers (http://www.galilmc.com/)

   This is a driver for the Linux kernel 2.6. It is based on an older driver
   for the kernel 2.4, which in turn was loosely inspired by Galil's own
   Linux driver, as well as by a bunch of PCI drivers in the kernel source code

   This program is free software; you can redistribute  it and/or modify it
   under  the terms of  the GNU General  Public License as published by the
   Free Software Foundation.
*/


#ifndef _GALIL1800_SYSFS_H_
#define _GALIL1800_SYSFS_H_

#ifndef __KERNEL__
#error UserMode programs should include galil1800.h rather than \
							galil1800_sysfs.h
#endif

/* Register a class for this module */
extern int galil1800_sysfs_class_register(struct class *);

/* Register a class_device for this module */
extern int galil1800_sysfs_class_dev_register(struct galil1800_state *, int);

/* Unregister a class_device:
   @cdev_index must be GALIL1800_CARD_DEVICE or
   GALIL1800_EVENT_DEVICE or GALIL1800_INFO_DEVICE */
static inline void galil1800_sysfs_class_dev_unregister(
			struct galil1800_state *s, int cdev_index)
{
	class_device_unregister(&s->devfile_state[cdev_index].class_dev);
}

#endif
